import Vue from 'vue'
import './plugins/element-ui';
import './components/global_components';
import './http';
import './plugins';
import router from './router'
import store from './store'
import VueCookie from 'vue-cookie';
import App from './App.vue';
import './assets/mc-inconfont/iconfont.css'
import fullscreen from 'vue-fullscreen'
import VueContextMenu from 'vue-contextmenu'
Vue.use(fullscreen)
Vue.use(VueCookie);
Vue.use(VueContextMenu)
Vue.config.productionTip = false

global.$vm = new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')
